%global _description %{expand:
Multi-Language Server WebSocket proxy for your Jupyter notebook or lab server.
For Python 3.6+.}

Summary:        Multi-Language Server WebSocket proxy for Jupyter Notebook/Lab server
Name:           python-jupyter-lsp
Version:        2.2.5
Release:        1%{?dist}
License:        BSD-3-Clause
URL:            https://pypi.org/project/jupyter-lsp/
Source0:        %{pypi_source jupyter-lsp}

BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildArch:      noarch


%description %_description

%package -n     python3-jupyter-lsp
Summary:        Multi-Language Server WebSocket proxy for Jupyter Notebook/Lab server
Requires:       python-jupyter-filesystem

%description -n python3-jupyter-lsp %_description

%prep
%autosetup -p1 -n jupyter-lsp-%{version}

sed -i "/--cov /d" setup.cfg
sed -i "/--cov-report/d" setup.cfg
sed -i "/--flake8/d" setup.cfg


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files jupyter_lsp

install -m 0755 -p -d %{buildroot}%{_sysconfdir}/jupyter/jupyter_server_config.d
mv -v %{buildroot}{%{_prefix},}%{_sysconfdir}/jupyter/jupyter_server_config.d/jupyter-lsp-jupyter-server.json


%check
%pytest -k "not test_r_package_detection"

%files -n python3-jupyter-lsp -f %{pyproject_files}
%doc README.md
%config(noreplace) %{_sysconfdir}/jupyter/jupyter_server_config.d/jupyter-lsp-jupyter-server.json

%changelog
* Fri Jun 14 2024 Shuo Wang <abushwang@tencent.com> - 2.2.5-1
- initial build
